com.amazonaws.codegen.model.intermediate

## Class ExceptionModel

- java.lang.Object
- - com.amazonaws.codegen.model.intermediate.ExceptionModel

    public class ExceptionModel
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ExceptionModel(String exceptionName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDocumentation()`
`String` `getExceptionName()`
`Integer` `getHttpStatusCode()`
`void` `setDocumentation(String documentation)`
`void` `setExceptionName(String exceptionName)`
`void` `setHttpStatusCode(Integer httpStatusCode)`
`ExceptionModel` `withDocumentation(String documentation)`
`ExceptionModel` `withHttpStatusCode(Integer httpStatusCode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExceptionModel

    public ExceptionModel(String exceptionName)

### Method Detail

#### getExceptionName

    public String getExceptionName()

#### setExceptionName

    public void setExceptionName(String exceptionName)

#### getDocumentation

    public String getDocumentation()

#### setDocumentation

    public void setDocumentation(String documentation)

#### withDocumentation

    public ExceptionModel withDocumentation(String documentation)

#### getHttpStatusCode

    public Integer getHttpStatusCode()

#### setHttpStatusCode

    public void setHttpStatusCode(Integer httpStatusCode)

#### withHttpStatusCode

    public ExceptionModel withHttpStatusCode(Integer httpStatusCode)